DOM-NEW-GIT-RE(1)

NAME
dom-new-git-repo - Creates a new Git repository in pkg-ocaml-maint space

SYNOPSIS

dom-new-git-repo name [tarball]

DESCRIPTION

Creates a new git repository belonging to the pkg-ocaml-maint project on alioth.debian.org. (pkg-ocaml-maint is a collaborative package maintenance project, aimed at maintaining packages related to the OCaml programming language.)

After repository creation, notifications (IRC, commit mailing list) are setup and the needed changes are pushed to alioth.

If the option <term>--notifications</term> is passed instead of a tarball name, and the command is executed outside of a Git repository, then the only effect is to create a new empty Git repository (if it doesn't exist) and to set up notifications.

OPTIONS

name
    Package name

tarball
    Upstream tarball

ENVIRONMENT

DOM_ALIOTH_USER
    Alioth username

SEE ALSO

dom-git-checkout (1)

AUTHOR

Mehdi Dogguy <mehdi@debian.org>

COPYRIGHT
Copyright © 2009 Mehdi Dogguy